Bug 1655047 - Running read-only container with systemd causes failed systemd-update-utmp.service
Summary: Running read-only container with systemd causes failed systemd-update-utmp.se...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: base
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clement Verna
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 12:21 UTC by Jan Pazdziora
Modified: 2020-01-07 13:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-07 13:54:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2018-11-30 12:21:03 UTC
Description of problem:

When systemd container is run as read-only, the state of systemd is shows as degraded, presumably because systemd-update-utmp.service failed.

Version-Release number of selected component (if applicable):

REPOSITORY                          TAG   IMAGE ID       CREATED       SIZE
registry.fedoraproject.org/fedora   28    ded494ce3076   7 weeks ago   264MB

How reproducible:

Deterministic.

Steps to Reproduce:
1. sudo podman run --read-only --name systemd -d registry.fedoraproject.org/fedora:28 /usr/sbin/init
2. sudo podman exec systemd systemctl is-system-running
3. sudo podman exec systemd systemctl status systemd-update-utmp.service

Actual results:

degraded
exit status 1

● systemd-update-utmp.service - Update UTMP about System Boot/Shutdown
   Loaded: loaded (/usr/lib/systemd/system/systemd-update-utmp.service; static; vendor preset: disabled)
   Active: failed (Result: exit-code) since Fri 2018-11-30 12:15:49 UTC; 2min 45s ago
     Docs: man:systemd-update-utmp.service(8)
           man:utmp(5)
  Process: 20 ExecStart=/usr/lib/systemd/systemd-update-utmp reboot (code=exited, status=1/FAILURE)
 Main PID: 20 (code=exited, status=1/FAILURE)

Nov 30 12:15:49 daba0cea4007 systemd[1]: Starting Update UTMP about System Boot/Shutdown...
Nov 30 12:15:49 daba0cea4007 systemd[1]: systemd-update-utmp.service: Main process exited, code=exited, status=1/FAILURE
Nov 30 12:15:49 daba0cea4007 systemd[1]: systemd-update-utmp.service: Failed with result 'exit-code'.
Nov 30 12:15:49 daba0cea4007 systemd[1]: Failed to start Update UTMP about System Boot/Shutdown.
exit status 3

Expected results:

running

The systemd-update-utmp.service should either be loaded/active, or it should not be running in read-only container at all, based on some condition.

Additional info:

Comment 1 Ben Cotton 2020-01-07 13:54:25 UTC
Closing this bug as Fedora 28 reached EOL status on 2019-05-28.


Note You need to log in before you can comment on or make changes to this bug.